%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>
Name:		lash
Version:	0.5.4
Release:	2
BuildArch:	i686
License:	GNU/GPL 
URL:		http://www.nongnu.org/lash/
Group:		Development/Libraries
Source0:	%{name}-%{version}.tar.gz
# fix build against glibc 2.8
# patch taken from http://bugs.gentoo.org/attachment.cgi?id=158509&action=view
Patch0:		lash-glibc28.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	LASH Audio Session Handler
BuildRequires:	python26-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  ncurses-devel
BuildRequires:  pango-devel
BuildRequires:  readline-devel
BuildRequires:  libxml2-devel
BuildRequires:  e2fsprogs-devel
Obsoletes:	ladcca

%description
LASH is a session management system for JACK and ALSA audio applications on GNU/Linux. Its aim is to allow you to have many different audio programs running at once, to save their setup, close them down and then easily reload the setup at some other time. LASH doesn't deal with any kind of audio data itself; it just runs programs, deals with saving/loading (arbitrary) data and connects different kinds of virtual audio ports together (currently JACK and ALSA sequencer ports). It can also be used to move entire sessions between computers, or post sessions on the Internet for download. 

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}
Obsoletes:	ladcca-devel

%description devel
Header and include files for developing applications with %{name}.

%package -n python26-lash
Summary: 	lash python bindings.
Group: 		%{group}            
Requires: 	lash = %{version}-%{release}
Provides:	lash-python = %{version}-%{release}
Obsoletes:	lash-python <= %{version}-%{release}

%description -n python26-lash
lash python bindings.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p0

%build
%configure PYTHON=/usr/bin/python%{PYVER}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/
%_libdir/*.so.*
%_datadir

%files -n python26-lash
%defattr(-,root,root)
%{python_sitelib}

%files devel
%defattr(-,root,root)
%_includedir/
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.4-2
- python 2.6
* Thu Oct 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.4-1
- Initial Release
